# GUIShared

class GUIShared<T : ForInventory>(guiData: GUIData<T>) : GUI<T>
Content copied to clipboard

## Functions

closeGUI
Link copied to clipboard
open override fun closeGUI()
Content copied to clipboard
Closes this GUI for all viewers and unregisters all instances.
getAllInstances
Link copied to clipboard
open override fun getAllInstances(): List<GUIInstance<T>>
Content copied to clipboard
Returns all active instances of this GUI.
getInstance
Link copied to clipboard
open override fun getInstance(player: Player): GUIInstance<T>
Content copied to clipboard
Returns the instance beloning to the given player.

## Properties

data
Link copied to clipboard
val data: GUIData<T>
Content copied to clipboard
singleInstance
Link copied to clipboard
val singleInstance: GUIInstance<T>
Content copied to clipboard